Subject: Re: Problem/Bug?: 4.21 by-recipient fcc fails if folder exists.

From: Jeffrey Hundstad <[email-masked]>
Date: Mon, 6 Dec 1999 16:41:30 -0600 (EST)

I have this exact same problem.  We're also are running Pine 4.21
against an SMS IMAP server.

When you try to send with FCC as sent-mail it says:

Folder "sent-mail" in <Mail on mail.mankato.msus.edu> doesn't exist. Creat?
when you say "Y" it responds with:

[Fcc Error: "Mailbox already exists". Message NOT sent or copied.]

If you set the FCC to:

{mail.mankato.msus.edu}inbox.sent-mail

it works just fine.

This folder also works fine with Pine 3.96 w/o the long format needed.

BTW: our exact version of SMS is:
	Execmail IMAP4rev1 (2.1.2/199906021506)
	* CAPABILITY IMAP4 IMAP4rev1 ACL QUOTA LITERAL+
	  UIDPLUS NAMESPACE X-NON-HIERARCHICAL-RENAME
	  X-NO-ATOMIC-RENAME

Sincerely,

Jeffrey E. Hundstad
Linux/AS/400 System&Network/News/WWW/Anon. FTP/Majordomo/Admin.
Computer Services Box 45
Minnesota State University, Mankato
Mankato Minnesota, USA 56002-8400
44 8'N 93 59'W El. 1000'
[email-masked]
http://www.mankato.msus.edu/jeffrey/
PGP Key fingerprint =  FF EE F5 C0 3A A0 26 1A  D2 73 AE 30 5F E2 2E 2C
GPG Key fingerprint = 34FB A7CA E40B B729 7135  26BC 5440 3E69 4787 3761
(507) 389-2516 Work
(507) 389-6115 Fax
(507) 625-7643 Home

On Tue, 30 Nov 1999, jan grant <[email-masked]> wrote:
> I'm running Pine 4.21 against the SMS Imap server
> 
> ( * CAPABILITY IMAP4 IMAP4rev1 ACL QUOTA LITERAL+ OPTIMIZE-1
> X-NON-HIERARCHICAL-RENAME X-NO-ATOMIC-RENAME                )
> 
> and I'm running into the following problem when fcc-name-rule is
> by-recipient.
> 
> If I compose an email to a user without a corresponding folder, I'm
> prompted that the folder doesn't exist. I can create it, and the fcc
> works.
> 
> If I then send a second email to that use, I'm again prompted that the
> folder doesn't exist, but when I ask to create it I get an error (folder
> already exists).
> 
> -From pine -d imap=4: (first time, unimportant bits elided)
> 
>   ---- COMPOSER ----
> [General preamble goes here]
> 
> IMAP DEBUG 09:32:49 11/24: 0000000e LIST "" Inbox.jan
> IMAP DEBUG 09:32:49 11/24: 0000000e OK Completed
> Want_to read: RETURN (13)
> IMAP DEBUG 09:32:49 11/24: 0000000f Create Inbox.jan
> IMAP DEBUG 09:32:50 11/24: 0000000f OK Completed
> IMAP 09:32:50 11/24 mm_log babble: Completed
> Opened SMTP server "outgoing-smtp.blah.blah.blah"
> done.
> IMAP DEBUG 09:32:50 11/24: 00000010 APPEND Inbox.jan {403}
> IMAP DEBUG 09:32:50 11/24: + go ahead
> IMAP DEBUG 09:32:50 11/24:
> IMAP DEBUG 09:32:50 11/24: 00000010 OK [APPENDUID 943435970 1] Completed
> IMAP mm_notify NIL : {localhost:143/imap/user="jan"}inbox (inboxstream)
> : [APPENDUID 943435970 1] Completed
> === folder_screen called ====
> 
> And the second time around:
> 
>   ---- COMPOSER ----
> [preamble deleted]
> IMAP DEBUG 09:32:59 11/24: 00000012 LIST "" Inbox.jan
> IMAP DEBUG 09:32:59 11/24: * LIST () "." Inbox.jan
> mm_list "{localhost}Inbox.jan": delim: '.',
> IMAP DEBUG 09:32:59 11/24: 00000012 OK Completed
> Want_to read: RETURN (13)
> IMAP DEBUG 09:33:00 11/24: 00000013 Create Inbox.jan
> IMAP DEBUG 09:33:00 11/24: * 7 EXISTS
> === mm_exists(7,{localhost:143/imap/user="jan"}inbox) called ===
> IMAP DEBUG 09:33:00 11/24: * 1 RECENT
> IMAP DEBUG 09:33:00 11/24: 00000013 NO Mailbox already exists
> IMAP 09:33:00 11/24 mm_log ERROR: Mailbox already exists
> 
> What gives?
> 
> Any help would be appreciated. It looks like Pine isn't recognising
> Inbox.jan as a valid folder.